summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author David Spencer <idlemoor@slackbuilds.org>2017-05-17 19:20:58 +0000
committer David Spencer <idlemoor@slackbuilds.org>2017-05-18 20:46:18 +0100
commit3ce48cbcea71ca135735cb0d918628db2e6a938f (patch)
tree2663979cdaebad0db0b70c43cfcd2ed15d15b9f7 /development
parent08e5ec3b69bdef150d452ace9f43b89085dfe25f (diff)
downloadslackbuilds-3ce48cbcea71ca135735cb0d918628db2e6a938f.tar.gz
slackbuilds-3ce48cbcea71ca135735cb0d918628db2e6a938f.tar.xz
development/nwjs: Fixed arch handling.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/nwjs/nwjs.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/development/nwjs/nwjs.SlackBuild b/development/nwjs/nwjs.SlackBuild
index d8cd1db3ce..9e3855a923 100644
--- a/development/nwjs/nwjs.SlackBuild
+++ b/development/nwjs/nwjs.SlackBuild
@@ -41,10 +41,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
SUFFIX="linux-ia32"
elif [ "$ARCH" = "x86_64" ]; then
SUFFIX="linux-x64"
+else
+ echo "$ARCH is not supported." >&2
+ exit 1
fi
set -e